CommonParams (Solr 3.6.2 API)
Keywords: org.apache.solr.util.CommonParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class CommonParams

    java.lang.Object
      org.apache.solr.util.CommonParams

All Implemented Interfaces:
  CommonParams

Direct Known Subclasses:
  DisMaxParams

Deprecated. Use `CommonParams` instead.

    @Deprecated
    public class CommonParams

extends Object
implements CommonParams

A collection on common params, both for Plugin initialization and for Requests.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.common.params.CommonParams
`CommonParams.EchoParamStyle`

Field Summary
`String` | `debugQuery` Deprecated. do not debug by default
`String` | `df` Deprecated. the default field to query
`String` | `explainOther` Deprecated. no default other explanation query
`String` | `fl` Deprecated. the default field list to be used
`boolean` | `highlight` Deprecated. whether to highlight
`String` | `highlightFields` Deprecated. fields to highlight
`String` | `highlightFormatterClass` Deprecated. override default highlight Formatter class
`static org.slf4j.Logger` | `log` Deprecated.
`int` | `maxSnippets` Deprecated. maximum highlight fragments to return

Fields inherited from interface org.apache.solr.common.params.CommonParams
`CACHE, COST, DEBUG_QUERY, DF, EXCLUDE, EXPLAIN_OTHER, EXPLAIN_STRUCT, FALSE, FIELD, FL, FQ, HEADER_ECHO_HANDLER, HEADER_ECHO_PARAMS, OMIT_HEADER, OUTPUT_KEY, Q, QT, ROWS, SORT, START, STREAM_BODY, STREAM_CONTENTTYPE, STREAM_FILE, STREAM_URL, TAG, TERMS, TIME_ALLOWED, TRUE, VALUE, VERSION, WT, XSL`

Constructor Summary
`CommonParams()` Deprecated.
`CommonParams(NamedList args)` Deprecated.

Method Summary
`void` | `setValues(NamedList args)` Deprecated. Sets the params using values from a NamedList, usefull in the init method for your handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.slf4j.Logger log

  Deprecated.

### fl

    public String fl

  Deprecated.
  the default field list to be used

### df

    public String df

  Deprecated.
  the default field to query

### debugQuery

    public String debugQuery

  Deprecated.
  do not debug by default

### explainOther

    public String explainOther

  Deprecated.
  no default other explanation query

### highlight

    public boolean highlight

  Deprecated.
  whether to highlight

### highlightFields

    public String highlightFields

  Deprecated.
  fields to highlight

### maxSnippets

    public int maxSnippets

  Deprecated.
  maximum highlight fragments to return

### highlightFormatterClass

    public String highlightFormatterClass

  Deprecated.
  override default highlight Formatter class

Constructor Detail

### CommonParams

    public CommonParams()

  Deprecated.

### CommonParams

    public CommonParams(NamedList args)

  Deprecated.
  See Also:
    `setValues(org.apache.solr.common.util.NamedList)`

Method Detail

### setValues

    public void setValues(NamedList args)

  Deprecated.
  Sets the params using values from a NamedList, usefull in the init method for your handler.

  If any param is not of the expected type, a severe error is logged,and the param is skipped.

  If any param is not of in the NamedList, it is skipped and the old value is left alone.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD